body{
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
}

.welcome-container {
    position: absolute;
    top: 10%;
    left: calc(50% - 15vw);

    overflow: hidden;
    height: 30vw;
    width: 30vw;

    background-color: white;
    border-radius: 50%;
    
    box-shadow: 0px 0px 10px rgba(8,7,16,0.6);
    animation: expandCircle 0.75s ease-in-out forwards, fadeInCircle 1s ease-in-out forwards;
    transform: scale(70%); /* Setzen Sie den Anfangszustand auf 70% der vollen Größe */
}

.welcome-text { 
    position: absolute;
    bottom: 35%; 

    text-align: center;
    font-size: 3vw; 
    text-decoration: none;
    color: transparent;
    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
    -webkit-background-clip: text;
    background-clip: text;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(8,7,100,0.3);
    
    /*transform-origin: bottom;
    opacity: 0;
    animation: slideAndFadeInText 1.5s ease-in-out forwards;
    animation-delay: 0.75s;*/
}

.buttons-container {
    position: absolute;
    bottom: 25%; /* Positionieren Sie die Schaltflächen 20px über dem unteren Rand */
    width: 100%;
    text-align: center;
}

button{
    --border-width: 2px;
    --border-radius: 5vw;
    
    width: 10vw;
    height: 6vh;

    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
    border: 0;
    position: relative;
    border-radius: var(--border-radius);
    z-index: 1;
    overflow: hidden; /* Sorgt dafür, dass der Farbverlauf nur innerhalb des sichtbaren Bereichs bleibt */
    font-weight: bold;
    box-shadow: 0px 0px 10px rgba(8,7,16,0.6);
    font-size: 1.5vw;

    margin: 0 2% 0;

    /* opacity: 0;
    animation: fadeInButtons 1s ease-in-out forwards;
    animation-delay: 2.25s; /*weil animation für kreis 0.75s und animation für text 1.5s dauert und diese erst danach beginnen soll*/
}

button a {
    display: block;
    width: 100%;
    height: 100%;

    text-decoration: none;
    color: transparent;
    background: linear-gradient(to left, #66ccff 0%, #003399 100%);
    -webkit-background-clip: text;
    background-clip: text;
    margin-top: 5%;
}   

button::before{
    content: '';
    height: calc(100% - calc(var(--border-width)*2));
    width: calc(100% - calc(var(--border-width)*2));

    background: white;
    position: absolute;

    top: var(--border-width);
    left: var(--border-width);

    border-radius: calc(var(--border-radius) - var(--border-width));

    z-index: -1;
}

button:hover{
    cursor: pointer;
}

button:hover::before{
    background-color: rgb(245, 245, 245);
}

.contact-container{
    position: absolute;
    top: 70%;
    left: 80%;

    overflow: hidden;
    height: 8vw;
    width: 8vw;
    background-color: white;
    border-radius: 50%;
    box-shadow: 0px 0px 10px rgba(8,7,16,0.6);

    opacity: 0;
    animation: expandCircle 0.75s ease-in-out forwards, fadeInCircle 0.5s ease-in-out forwards;
    animation-delay: 1s;
}

#instagramIcon{
    width: 2vw;
    height: auto;
    
    margin-top: 40%;
    margin-left: 22.5%;

    opacity: 0;
    animation: fadeInText 1.5s ease-in-out forwards;
    animation-delay: 1s;
}

#tiktokIcon{
    width: 2vw;
    height: auto;

    opacity: 0;
    animation: fadeInText 1.5s ease-in-out forwards;
    animation-delay: 1s;
}

.information-container {
    position: absolute;
    top: 50%;
    left: 10%;

    overflow: hidden;
    height: 11vw;
    width: 11vw;

    background-color: white;
    border-radius: 50%;
    box-shadow: 0px 0px 10px rgba(8,7,16,0.6);

    opacity: 0;
    animation: expandCircle 0.75s ease-in-out forwards, fadeInCircle 0.5s ease-in-out forwards;
    animation-delay: 1s;
}

.information-text { 
    margin-top: 35%;
    
    text-align: center;
    color: black;
    
    opacity: 0;
    animation: fadeInText 1.5s ease-in-out forwards;
    animation-delay: 1s;
}

.information-container a{
    text-decoration: none;
    font-size: 1vw;
    margin-bottom: 3%;
    color: black;
}

.information-container a:hover{
    font-weight: bold;
}

@keyframes fadeInText {
    from {
        opacity: 0; 
    }
    to {
        opacity: 1;
    }
}

@keyframes slideAndFadeInText {
    from {
        transform: translateY(100%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes slideInButtons {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0);
    }
}

@keyframes fadeInButtons {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes expandCircle {
    0% {
        transform: scale(0.7);
    }
    100% {
        transform: scale(1);
    }
}

@keyframes fadeInCircle {
    from {
        opacity: 0; /* Starten Sie mit einer Opacity von 0 */
    }
    to {
        opacity: 1; /* Ändern Sie die Opacity auf 1, um den Kontakt-Container sichtbar zu machen */
    }
}